<?php
require_once "connect.php";

// dados da seção
$id_usuario=1;
$id = 0;
$ds_codigo_ibge = 0;
$id_pais = 1;


if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}
// if($id_usuario==""){$id_usuario=0;}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id         = $_POST['id'];
}

if(isset($_POST['ds_codigo_ibge'])){
  $ds_codigo_ibge = $_POST['ds_codigo_ibge'];
}

$ds_municipio = $_POST['ds_municipio'];
$ds_uf        = $_POST['ds_uf'];

$st_ativo	= 1;
$ok       = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql  = "update erpc_municipios set ds_municipio = '$ds_municipio', ds_uf = '$ds_uf',st_ativo  =  $st_ativo";
  $sql .= " where ds_codigo_ibge='$ds_codigo_ibge'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_municipios set st_ativo = 0";
	$sql .= " where ds_codigo_ibge='$ds_codigo_ibge'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_municipios ( ds_municipio, ds_uf, ds_codigo_ibge, id_pais, st_ativo) values ( '$ds_municipio', '$ds_uf', '$ds_codigo_ibge', '$id_pais', $st_ativo)";
}

// Se montou o SQL, executa
if($sql!=""){

  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}



//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_municipios_list.php");
}
?>
